use_flake() {
    watch_file flake.nix
    watch_file flake.lock

    mkdir -p "$(direnv_layout_dir)"
    eval "$(nix print-dev-env --profile "$(direnv_layout_dir)/flake-profile")"
}

use_lorri() {
    eval "$(lorri direnv)"
}

if (nix help flake &> /dev/null)
then
    # Nix with flakes support
    use flake

elif (command -v lorri &> /dev/null)
then
    # Lorri is installed
    use lorri

else
    # Standard nix - going to be slooow
    use nix

fi
